/* STRUCTURE */
* {
    box-sizing: border-box;
}
body,html{
    width: calc(100% - 2px);
    margin: 0;
    padding: 0;
    text-align: center;
    background: #ddd;
    color: #000;
    font-family: Verdana,arial;
    font-size: clamp(13px, 1vw, 16px);
    line-height: 1.6em;
    scroll-behavior: smooth;
}
main{
    width:100%;
    margin:0 auto;
    padding:0;
    text-align:center;
    background:#eee;
    color: #000;
    min-height: calc(100vh - 130px);
    border-top: 1px solid #143352;
    border-bottom: 1px solid #3fb498;
}
h1{
    font-size: clamp(17px, 3vw, 24px);
    line-height: 1em;
}
h2{
    font-size: clamp(16px, 2.8vw, 23px);
}
h3{
    font-size: clamp(15px, 2.6vw, 22px);
}
h4{
    font-size: clamp(15px, 2.5vw, 21px);
}
h5{
    font-size: clamp(14px, 2.4vw, 19px);
}
h6{
    font-size: clamp(14px, 2.3vw, 18px);
}
h1,h2,h3,h4,h5,h6{
    margin: 0;
}
#ptt-etage h6{
    font-size: 12px;
}
a{
    font-weight: bold;
    text-decoration: none;
    color: #04e;
}
th{
    background: #ddd;
    text-align: center;
}
td,th{
    border: 1px solid #444;
    border-radius: 5px;
    height: auto;
    min-height: 25px;
    padding: 0 10px;
    font-size: clamp(9px, 1.1vw, 16px);
}
article{
    padding-top: 0;
}
input, select, textarea, button{
    border-radius: 3px;
    border: 1px outset grey;
}
#demo-header{
    border: 1px solid #8ef;
    border-radius: 5px;
    background:#f0f8ff;
    padding: 5px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#demo-header p{
    margin: 0;
}
.up-label{
    position: absolute;
    font-weight: bold;
    font-style: italic;
    margin: -15px 0 0 1px;
}
#infobar{
    display: flex;
    align-items: center;
    border-bottom: 1px solid #3fb498;
    min-height: 45px;
}
#title{
    flex: 1;
    text-align: left;
    padding: 0 10px;
}
#barsearch{
    flex: 1;
    text-align: center;
    padding: 0 10px;
}
#network{
    flex: 1;
    text-align: right;
    padding: 0 10px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1em;
}
#user-name{
    text-wrap-mode: nowrap;
}

footer{
    text-align: right;
    padding: 0.25em 10px;
}
footer a{
    font-size: 0.8em;
    text-decoration: none;
    font-style: oblique;
    color: #080;
}
button{
    padding: 0.25em .5em;
    font-weight: bold;
    cursor: pointer;
}

/* CONNEXION */
#login{
    text-align:left;
    border:1px solid #143352;
    padding:1.5em 2.5em;
    border-radius:8px;
    background:#fff;
    color:#000;
}
#connexion{
    display: flex;
    justify-content: center;
    margin-top: 5em;
}
.connexion-form{
    margin-bottom: 0.2em
}
.connexion-form label{
    display:block;
    position:relative;
    font-style: oblique;
}
.connexion-form input[type=text],.connexion-form input[type=password],.connexion-form input[type=email]{
    width: 100%;
    padding:5px 15px;
    border-radius:5px;
    margin-bottom:1em;
    border-color:#3fb498;
}
.connexion-form input[type=password]:focus{
    outline: none;
}
.connexion-form input[type=submit]{
    padding:5px 15px;
    border-radius:5px;
    margin-bottom:1em;
    border:1px solid #666;
}
.asterique-droite{
    text-align: right;
    font-size: .8em;
    font-style: italic;
    margin:0;
    padding:0;
}
.asterique-droite a{
    color:#06f;
}
#note-connexion{
    position: absolute;
    margin-top: -23px;
    margin-left: -2em;
    color: #c00;
    font-size: 0.9em;
    font-style: italic;
}
#indicateur{
    text-align: left;
    font-size: 0.9em;
    font-style: italic;
}
.error-message {
    animation: fadeInOut 3s ease-in-out;
}
@keyframes fadeInOut {
    0% { opacity: 0; }
    20% { opacity: 1; }
    80% { opacity: 1; }
    100% { opacity: 0; }
}

/* HEADER */
header{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    margin: 0 0 5px 0;
    padding: 0;
    text-align: left;
    min-height: 65px;
    gap: 20px;
}
#box-svg{
    display: flex;
    gap: 10px;
    padding: 0 .25em;
    flex: 1;
    justify-content: flex-end;
}
#box-svg div{
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #888;
    border-radius: 5px;
    width: 64px;
    height: 64px;
}
#deconnexion{
    text-shadow: #800 2px 2px;
}
#deconnexion i{
    color: red;
}
#parametre{
    text-shadow: #444 2px 2px;
}
#parametre i{
    color: #aaa;
}
#renseignement{
    text-shadow: #080 2px 2px;
}
#renseignement i{
    color: #8e8;
}
#archive{
    text-shadow: #840 2px 2px;
}
#archive i{
    color: #d84;
}
#home{
    text-shadow: #048 2px 2px;
}
#home i{
    color: #0af;
    margin-left: -2px;
}
#technicien{
    text-shadow: #608 2px 2px;
}
#technicien i{
    color: #c8f;
    margin-left: -2px;
}
#administrateur{
    text-shadow: #995 2px 2px;
}
#administrateur i{
    color: #ff8;
    margin-left: -2px;
}
#lexique{
    text-shadow: #589 2px 2px 3px;
}
#lexique i{
    color: #8ef;
    margin-left: -2px;
}
#bibliotheque{
    text-shadow: #600 0 0 2px;
}
#bibliotheque i{
    color: #c00;
    margin-left: -2px;
}
#video{
    text-shadow: #600 0 0 2px;
}
#video i{
    color: #f00;
    margin-left: -2px;
}
.logo-lexique,
#lexique:hover{
    background: #dff;
    box-shadow: 2px 2px 5px #356;
    border: 1px solid #5bd !important;
}
.logo-bibliotheque,
#bibliotheque:hover{
    background: #faa;
    box-shadow: 2px 2px 5px #833;
    border: 1px solid #833 !important;
}
.logo-video,
#video:hover{
    background: #fee;
    box-shadow: 2px 2px 5px #A44;
    border: 1px solid #A44 !important;
}
.logo-archive,
#archive:hover{
    background: #fc8;
    box-shadow: 2px 2px 5px #840;
    border: 1px solid #a60 !important;
}
.logo-renseignement,
#renseignement:hover{
    background: #cec;
    box-shadow: 2px 2px 5px #080;
    border: 1px solid #060 !important;
}
.logo-accueil,
#home:hover{
    background: #aef;
    box-shadow: 2px 2px 5px #048;
    border: 1px solid #036 !important;
}
.logo-technicien,
#technicien:hover{
    background: #ecf;
    box-shadow: 2px 2px 5px #608;
    border: 1px solid #406 !important;
}
.logo-administrateur,
#administrateur:hover{
    background: #e7e7c5;
    box-shadow: 2px 2px 5px #995;
    border: 1px solid #ff6 !important;
}
.logo-parametre,
#parametre:hover{
    background: #ccc;
    box-shadow: 2px 2px 5px #444;
}
#deconnexion:hover{
    background: #fcc;
    box-shadow: 2px 2px 5px #800;
    border: 1px solid #700 !important;
}
#info-page{
    position: absolute;
    right: 10px;
}
#info-page i{
    color: red;
}
/* BLOC MESSAGE */
#message{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2em;
}
.bloc-green{
    border: 1px outset #080;
    border-radius: 5px;
    background: #efe;
    color: #060;
    width: fit-content;
    padding: 1em;
    width: 350px;
    text-align: left;
}
.bloc-red{
    border: 1px outset #e00;
    border-radius: 5px;
    background: #fee;
    color: #e00;
    width: fit-content;
    width: 350px;
    text-align: left;
    padding: 1em;
}
/* BUTTONS */
.btn-document{
    border: 1px solid #08f;
    box-shadow: 1px 1px 2px #008;
    background: #aef;
    color: #08f;
}
.btn-modifier{
    border: 1px solid #080;
    box-shadow: 1px 1px 2px #040;
    background: #efe;
    color: #080;
}
.btn-supprimer{
    border: 1px solid red;
    box-shadow: 1px 1px 2px #800;
    background: #fee;
    color: red;
}

/* AJUSTEMENT SVG */
    .fa-3x{
        font-size: 45px;
    }
/* COLOR */
.bgWhite{
    background: white;
}
/* FENETRE MODALE */
#window-modal{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}
#page-modal{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    background: white;
    padding: 10px 20px 20px 20px;
    border-radius: 8px;
    width: fit-content;
    /*max-width: 500px;*/
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 1);
    text-align: left;
}
#header-modal{
    width: 100%;
    text-align: center;
    padding-bottom: 20px;
}
#footer-modal{
    padding-top: 20px;
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    gap: 2em;
}
#footer-modal button{
    border-radius: 5px;
}
#btn-green{
    border: 1px solid #080;
    background: #efe;
    box-shadow: 2px 2px 5px #040;
}
#btn-orange{
    border: 1px solid orangered;
    background: #fed;
    box-shadow: 2px 2px 5px #A64;
}
#btn-red{
    border: 1px solid red;
    box-shadow: 2px 2px 5px #800;
}
#synopsis{
    padding-top: 20px;
    font-style: italic;
    line-height: normal;
}

/* RESPONSIVE */
@media (max-width: 600px){
    .fa-3x{
        font-size: 30px;
    }
    #box-svg{
        gap: 5px;
    }
    #box-svg div{
        width: 44px;
        height: 44px;
    }
    #infobar{
        flex-wrap: wrap;
    }
}
@media (max-width: 375px){
    header img{
        width: 100%;
        height: auto;
    }
    #connexion,form{
        width: calc(100% - 1em);
    }
}

@media screen and (orientation: landscape) {
  /* Supprime ce bloc si présent */
}

/* RECURRENT */
#electricite,
#chauffage,
#plomberie,
#sanitaire{
    display: none;
    flex-direction: column;
    align-items: center;
}
.dispo-cat{
    flex-wrap: wrap;
    justify-items: start;
    justify-content: center;
    padding: 0 .5em;
}
.dispo-cat h3{
    text-align: center;
    background: #afa;
    padding: 3px 0;
    text-transform: uppercase;
    width: 100%;
    margin-bottom: 1em;
}
.element{
    border-spacing: 0;
    margin: 1em 0;
    box-shadow: 2px 2px 5px #236;
}
.element tr{
    display: block;
    flex-wrap: wrap;
    justify-content: center;
}
.element td{
    vertical-align: top;
    padding: 0;
    border-radius: 0;
    flex: 1;
    font-size: 1em;
}
.element th{
    display: flex;
    align-items: center;
    justify-content: center;
    background: #8af;
    border-radius: 0;
    height: 35px;
    flex: 1;
}
.title{
    text-wrap-mode: nowrap;
    text-align: left;
    display: flex;
    align-items: center;
    line-height: normal;
}
.title p{
    margin: 5px;
}
.flex-header{
    display: flex;
    justify-content: space-between;
    min-height: 35px;
    align-items: center;
    padding: 0 10px;
    border-top: 1px solid #143354;
    gap: 2em;
}
.infobulle{
    width: 32px;
}

.cadre-green{
    box-shadow: 2px 2px 5px #040;
    margin: 1em;
    padding: 0;
    width: calc(100% - 1.5em);
}
.cadre-row{
    padding: 0;
    margin: 0;
    vertical-align: baseline;
    text-align: center;
    width:260px
}
.cadre-row div{
    padding: 5px 10px;
    background: #afa;
    border-radius: 3px 3px 0;
    border-bottom: 1px solid black;
    text-wrap-mode: nowrap;
}
.cadre-row input[type=radio]{
    margin: 10px;
    scale: 1.5;
}
#ptt-header{
    width: auto;
    margin: auto;
    text-align: left;
    line-height: 1.3em;
}
#ptt-chantier{
    height: 36px;
}
#ptt-selection input,
#ptt-selection span{
    margin: 5px;
}
.ptt-format{
    padding: 1em;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 2em;
}
.info-pavillon,
.info-pavillon2,
.info-categorie{
    border-radius: 3px;
    min-width: 200px;
    box-shadow: 2px 2px 5px #236;
}
.info-pavillon h6,
.info-categorie h6{
    background: #8af;
    border-radius: 3px 3px 0 0;
    text-align: center;
    padding: 5px;
}
.info-categorie h6{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 15px;
}
.info-categorie h6 i{
    color: #ff4;
}
.info-pavillon div{
    padding: 5px;
    border-top: 1px solid black;
}
.info-pavillon2 div{
    padding: 5px;
    display: flex;
    align-items: center;
}
.info-pavillon span,
.info-pavillon2 span{
    display: inline-block;
    text-align: left;
    width: 245px;
}
.info-pavillon input,
.info-pavillon2 input{
    scale: 1.5;
}
.info-categorie{
    display: flex;
    flex-direction: column;
    width: 20%;
}
.info-categorie h6{
    border-bottom: 1px solid black;
}
.info-categorie input{
    scale: 1.5;
    margin: 9px;
}
.sanitaire-douche {
    all: revert;
    margin: .5em auto;
}
.sanitaire-douche tr {
    all: revert;
}
.sanitaire-douche th,
.sanitaire-douche td{
    all: revert;
    border: 1px solid black;
    border-radius: 3px;
    font-size: 0.9em;
    background: #fff;
}
.sanitaire-douche th{
    background: #ddd;
}
.sanitaire-douche input,
.sanitaire-douche select{
    border: 0;
    height: 25px;
}

#tr-historique,
#histo-electricite,
#histo-chauffage,
#histo-plomberie,
#histo-sanitaire{
    display: none;
}
#histo-flex{
    display: flex;
    gap: 1em;
    flex-wrap: wrap;
}
#histo-flex table{
    width: 100%;
    
}
#histo-flex table td:nth-child(1){
    background: #efe;
}
#histo-flex table td:nth-child(1){
    text-wrap-mode: nowrap;
}
#histo-flex table td:nth-child(2){
    background: white;
}
#histo-electricite,
#histo-chauffage,
#histo-plomberie,
#histo-sanitaire{
    box-shadow: 2px 2px 5px black;
    border-radius: 5px;
    width: calc(50% - 10px);
}

.docHead{
    background: linear-gradient(180deg, #888 0%, transparent 100%);
    padding-left: .5em;
    font-weight: bold;
    font-style: italic;
}
#tr-info div{
    display: flex;
    flex-wrap: nowrap;
    padding: 2px .5em;
    width: 100%;
    border-top: 1px dashed grey;
}
#tr-info div span{
    flex: 1;
    /*text-wrap-mode: nowrap;*/
}
#tr-info,
#tr-document{
    flex: 1;
    display: flex;
    flex-direction: column;
    box-shadow: 2px 2px 5px #5d6680;
    padding: 0;
    text-align: left;
}
#tr-info{
    justify-content: space-around;
}
#tr-document{
    justify-content: flex-start;
}
#tr-document p,
#tr-document ul{
    margin: 0;
}
#tr-document li{
    line-height: normal;
    font-size: .8em;
}
#tr-document li::marker{
    color: green;
}


#tr-document div{
    padding: 0 .5em;
}
#tr-document div i{
    margin-right: 1em;
}
#resumer-particularite{
    box-shadow: 2px 2px 5px #5d6680;
    width: 100%;
    min-height: 100px;
    margin-top: 0.3em;
    
}
#resumer-particularite textarea{
    width: 100%;
    min-height: 150px;
    border: 0;
}

/* COULEUR */
.grey{
    color: #666;
}
.green{
    color: #084;
}
.red{
    color: red;
}
.greenlight{
    color: #0A0;
}
.redlight{
    color: #f44;
}
.color-info{
    color:#900;
    font-weight: bold;
}
/* ----------------------- */
.lineHeight{
    border-top: 1px solid #236;
    padding: 0 10px
}
.topLine{
    border-top: 2px solid #236;
}
.bgWhite{
    background: white;
    height: auto;
}
.bgLime{
    background: #efd !important;
}
.bgGreen{
    background: #8fb;
}
.bgYellow{
    background: #ffa;
}
.bgRed{
    background: #fdd;
}
#scrollToTopButton{
    display: block;
    z-index: 99;
    transition: background-color 0.3s,opacity 0.5s,visibility 0.5s;
    opacity: 0;
    visibility: hidden;
    position: fixed;
    bottom: 50px;
    right: 30px;
    border: none;
    border-radius: 4px;
    outline: none;
    width: 50px;
    height: 50px;
    padding: 8px;
    background: #143352
}
#scrollToTopButton i{
    color: white
}
#scrollToTopButton:hover,
#scrollToTopButton:focus,
#scrollToTopButton:focus-within{
    cursor: pointer;
    background-color: #3fb498
}